Subject: Re: bug#49558: fill paragraph in texinfo-mode fails with @

From: Eli Zaretskii <[email-masked]>
Date: Wed, 14 Jul 2021 17:03:53 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Wed, 14 Jul 2021 09:49:27 -0400
> 
> >> In which sense do our default values not heed this rule?
> > The same line could match both paragraph-start and paragraph-separate.
> 
> But that rule doesn't say they can't, it just implies that if a line
> matches both then it will be treated as a paragraph separator:
> 
>     Lines that start a new paragraph and are contained in it must
>     match only ‘paragraph-start’, not ‘paragraph-separate’. 

That's not my reading of that text, so I guess it should be reworded
(to avoid the implied double negation).